Subject: Re: Including branch info in git format-patch

From: Mukund Sivaraman <[email-masked]>
Date: Fri, 20 Jun 2008 03:25:13 +0530

On Thu, Jun 19, 2008 at 02:41:54PM -0700, Junio C Hamano wrote:
> > My problem is that I can't send a patch out to the list for other
> > developers to try, without some annotation for them, of which branch to
> > try it on.
> 
> So what's wrong telling that when you send out the patch, between the time
> you run format-patch and send-email?
> 

I had asked if there was some way the remote branch name could
automatically be inserted by git format-patch, instead of manually adding
it in the patch message or in a cover letter. What Jeff suggested seems
good to me (of using --subject-prefix) as that is removed automatically
when the patch is applied by git am.

		Mukund